Subject: Re: [bug#54457] [PATCH 5/9] gnu: Add conntrack-tools

From: fesoj000 <[email-masked]>
Date: Mon, 21 Mar 2022 21:15:40 +0100

On 3/19/22 2:54 PM, Maxime Devos wrote:
> fesoj000 schreef op za 19-03-2022 om 01:47 [+0100]:
>> +   (native-inputs
>> +    (list bison flex libtirpc libnetfilter-conntrack libnetfilter-cttimeout
>> +          libnetfilter-cthelper libnetfilter-queue libnfnetlink libmnl
>> +          pkg-config))
> 
> Do all of these need to be 'native-inputs'?  I would expect the libnet*
> stuff libraries to be run at run-time, so wouldn't they need to be
> compiled for the --target architecture instead of --system, and hence,
> 'inputs'?
> 
> As a test, if you have a non-aarch64 system, you can run
> 
>    $ ./pre-inst-env guix build conntrack-tools --target=aarch64-linux-gnu
> 
> and see if it actually compiles.
you are correct, they have to be inputs. This is an 'old' mistake, i have this
packages in my channel since more then a year. Thanks for spotting this and the
other stuff.